Package org.kapott.hbci.GV_Result

## Class GVRStatus

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRStatus

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public final class GVRStatus
    extends HBCIJobResultImpl

Ergebnisse einer Statusprotokoll-Abfrage. Ein Statusprotokoll enthält zu allen eingereichten Aufträgen den Bearbeitungsstatus. Die einzelnen Aufträge werden durch die HBCI-Daten identifiziert, mit denen sie eingereicht wurden (Dialog-ID, Nachrichtennummer, Segmentnummer). Um diese Daten nicht manuell verwalten zu müssen, werden sie in der sogenannten Job-ID (siehe `HBCIJobResultImpl.getJobId()`) zusammengefasst.

In dieser Klasse werden die Antwortdaten für eine Statusprotokollabfrage gespeichert. Dabei handelt es sich in der Regel um mehr als einen Protokolleintrag. Es kann der Protokolleintrag für eine gegebene Job-ID extrahiert werden.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRStatus.Entry` Daten für einen einzelnen Eintrag im Statusprotokoll.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRStatus()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry​(GVRStatus.Entry entry)`
`GVRStatus.Entry` `getJobEntry​(java.lang.String jobId)` Gibt den Protokoll-Eintrag zu einem bestimmten Job zurück.
`GVRStatus.Entry[]` `getStatusData()` Gibt alle Einträge des Statusprotokolls in einem Array zurück.
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRStatus

    public GVRStatus()

### Method Detail

#### addEntry

    public void addEntry​(GVRStatus.Entry entry)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`

#### getStatusData

    public GVRStatus.Entry[] getStatusData()

Gibt alle Einträge des Statusprotokolls in einem Array zurück.

Returns:
  Array mit Statusprotokolleinträgen

#### getJobEntry

    public GVRStatus.Entry getJobEntry​(java.lang.String jobId)

Gibt den Protokoll-Eintrag zu einem bestimmten Job zurück. Liefert `null`, wenn der Eintrag für die angegebene Job-ID nicht im Statusprotokoll vorhanden ist.

Parameters:
  `jobId` - die Job-ID, für die Informationen zurückgegeben werden sollen
Returns:
  Eintrag im Statusprotokoll, der zu dem entsprechenden Auftrag gehört; `null`, wenn kein solcher Auftrag gefunden wurde